--assets.lua
--[ file that holds all of the content that we are loading that isn't just a lua file.]

-- env textures
-- BG elements ( can be animated in love.draw() ) -- static for now 
	sky = lg.newImage("textures/bgSky.png")
	walls = lg.newImage("textures/bgCanyon.png")
	ground = lg.newImage("textures/bgFloor.png")

-- player textures
	--Animation Textures
	idleSheet 	= lg.newImage("textures/idle.png")
	walkSheet 	= lg.newImage("textures/walk.png")
	crouchSheet = lg.newImage("textures/crouch.png")	
	grabSheet 	= lg.newImage("textures/grab.png")	
	jumpSheet 	= lg.newImage("textures/jump.png")	
	landSheet 	= lg.newImage("textures/land.png")	
	kickSheet 	= lg.newImage("textures/kick.png")	
	slamSheet 	= lg.newImage("textures/slam.png")	


-- player animations 
	--Define Animations
	xanIdle 	= newAnimation( idleSheet, 128, 128, 0.1, 0)
	xanWalk 	= newAnimation( walkSheet, 150, 128, 0.1, 7)
	xanCrouch	= newAnimation( crouchSheet, 128, 128, 0.2, 0)
	xanGrab 	= newAnimation( grabSheet, 150, 150, 0.1, 0)
	xanJump 	= newAnimation( jumpSheet, 128, 180, 0.15, 0)
	xanLand 	= newAnimation( landSheet, 128, 180, 0.15, 4)
	xanKick 	= newAnimation( kickSheet, 256, 128, 0.06, 0)
	xanSlam 	= newAnimation( slamSheet, 128, 128, 0.1, 0)

	-- modify default animation modes 
	xanKick:setMode("bounce")
	
	
-- rock textures
	sRock = lg.newImage("textures/rock.png")

-- rock animations 

-- sounds 


-- xan_particles.lua and so on...

