--newRock.lua uses class.lua 

require "class.lua"


rockId = 100 

-- base love functions
newRock = class(function(obj, x, y, weight)

	-- drawVariables
	obj.x 	= x
	obj.y 	= y
	obj.vx 	= 0.0 -- Velocity
	obj.vy 	= 0.0 
	obj.rot	= 0 -- draw vars
	obj.sx 	= 1
	obj.sy 	= 1
	obj.xo	= 32 -- offset from origin.  -- needs to be derived from image size. 
	obj.yo 	= 64
	obj.id 	= rockId -- give each rock a unique id/ 
	
	obj.topWeight = nil -- start with nil Direction weight. 
	obj.bottomWeight = nil
	obj.leftWeight = nil
	obj.rightWeight = nil
	
	obj.northRock = nil -- may make more sense to use NSWE it's cleaner.
	obj.southRock = nil
	obj.eastRock = nil
	obj.westRock = nil
	
	--[[ 
	Let's also make some notes here about the direction of the rock management. 
	
	
	- So the rocks have a local direction weight. 
		- The purpose of this is to see how many rocks block that particular direction of the rock. 
		- So . in order to get full use of a function like. getDirWeight(North) We have to make sure that a rock ID is in place. 
		- If a rock has a self.southRock ( not nil ) then we want that rock to sit on top ( relatively close ) 
		- Similarly we want to check the other sides of the rock to determine what behaviors apply to it. 
		- First let's examine the combined weight of rocks stacked. 
		- If the TARGET ROCK total weight is the less than the player strength, The player can lift the rock(S) 
		- If the rock is.. nil on the east or west side then it can slide in that direction when kicked. 
		
		-- ( This may lead to further complex functionality. Along the lines of using heavier rocks to crush smaller rocks. Depending on the ratio. x2/x3 
		
		-- With most of this framework ( the main machine behind the game in my opinion. ) 
			We should be able to get the GM to handle more complex interaction. 
			
		
		-- WE need to address the use of the target rock. 
		
			- The player will pick up rocks that are in front of him. ( not back facing ) 
			- The player cannot pick up rocks that are above his foot level ( ok ) 
			- So the target rock will change color while we are testing the concept. There are quite a few things to address here. 
			--- Let's try and get to the target rock situation by the end of the week. 
	
	
	
	 - The long term goal of the rock class and interaction is that we have a machine that creates rocks with tags. 
	 Those rocks will check other rocks to determine what moves they can make. 
	 -- Will destroying a rock aways make at least ne rock fall? At what point do we start to design levels and puzzles. for this environment? 
	 
	  - I'm thinking along the lines of a 2d array. Something that let's me build a custom pile. THis is a close to final feature. ( level design ) 

	--]]
	
	-- game rules and 
	obj.weight = weight
	if obj.weight == 1 then 
		
		obj.img = sRock
	
	end 
	--else if 2...
	
	
	

end)

function newRock:update(dt) 



end 

function newRock:draw() 

	lg.draw(self.img, self.x, self.y, self.rot, self.sx, self.sy, self.xo, self.yo)
	lg.print("id."..self.id, self.x ,self.y)
end 

-- newRock Utils 

function newRock:getWeightTop() -- can't decide how this works? 

end 

-- newRock actions 

function newRock:Drop() 

	self.vy = self.vy + grav
		-- updateVelocity to x,y
	-- self.x = math.abs(self.vx)
	self.y = math.abs(self.vy)
end 


function newRock:Move() 

end 


