-- XAN FRESH SKELETON
-- Many Thanks to Ray Bradford
-------------------------------------------------------------------------------------------
--[[

BEFORE WE CONTINUE: 

Let's talk about what steps we want to take in the next two weeks aproaching the midterm. 


- Get the player moving [DONE]

- Get the player grabbing [ONIT]

	The animation Part is done. 
	
	-- Add Kick. 
	-- Add Jump.
	
	-- Make Decision on Swivel Stepping. 
	
	-- Move on To Rocks. 
	
	-- I think I'm going to need a targeting system. That way we know what set of rocks to evaluate
	
		For Example. When we use a function like kick or land.  We can check the target rock for things like weight and wether or not it can slide. 
			The Rocks will keep track of that data for us.  ( Though we are starting to get close to that same strange land as before. 
	
	We are using Rock.id fields. Let's think about the rock system in the scope of thier rules. 
	If they are not blocked on the east or west side then they can slide until they hit another body. 
	>At first I don't want to worry about different weights bouncing. Using a large rock to move small rocks seems to be the right thing to do. 
	Specifically for kicking rocks. If you use a rock that's 3 units tall then you can crush a lesser mass. 
	The issue is momentum. ( same as progression ) so if the rock has an empty slot next to it you can kick in that direction. 
	Also. The animation won't clip through rocks. If you can't Kick the rock. Then you don't have to play the animation, 
	


- Handle Rock IDs and make rocks stack. 

- Start to Close off Player Control By adding mouse Release events. Reset States , Sharpen up animation triggers. 

- Player collision with rocks handled by the gameManager

- The Game Manager is the hub for player feed back. 

	- Particle Systems { break, jump, walk, slam, Crush } -- I'm pretty sure it'd be an awesome place for physics. Because we Should use that library. 

	- Scripted VFX/Animation { flash, Shake, DynamicTExt, ScaleBubble, Intro, GameOver, }

	- UI { StaminaMeter-- Starts as a bar.. Could Change, But the meter is kindof important to development.
			SCore, }
	
//Just like DND. Illustrates the texture of the rules. When 4 unit tall rocks appear in the game old techniques will lead the way.  

- Rock and player movements and states are handled in the game manager as well
The purpose of the objects is to have a container that keeps the behaviors and parameters. 
All state changes to said objects are handled in the GM. 

... Let's continue.. Player MOvement! 

- Player Slams Rock. 
- Player Kicks Rock. 

These animations are back in place. I'd like to give a state of the game before we continue. 
The date is Jan. 26 2011. As I go back through this game after a short break I want to get rid of the exess comments all over this program. 


TODOS> 9.26
- Get Rid of excess Comments [X]
- Complete Player Control Feel. ( to prepare for rock interaction)[]
- Title/Options UI []
- 
- Begin Rock-Player Collision []
- Begin Rock-Rock collision. []
- Rock Spacing and Rules. < FORCED PERSPECTIVE > []
- Begin Scoring/Combo/Balancing []
- Begin In game Effects and Particles. []
- Begin Sound Integration []
- Begin Coding Transitions []
- Begin local metric record Keeping/ HiScore. [] 

all of these game events can be GMed to death. I'm starting to see it. Also look for the state shifting.. Powerful Stuff. Transitions are just states. 

--]]

lg = love.graphics
la = love.audio

--required LUA files 
--require "class.lua"
require "gameManager.lua"
require "AnAL.lua" -- animations and LOVE *bartbes
require "player.lua"
require "rock.lua"
require "assets.lua"
require "mouseHelper.lua"

-- global variables. 
vDebug = true -- view the Debug Variables 
sDefaultText = love.defaultFont
sBlockText = lg.newFont("/fonts/ka1.ttf", 14)
mBlockText = lg.newFont("/fonts/ka1.ttf", 24)
lBlockText = lg.newFont("/fonts/ka1.ttf", 54)
--vScore,vParticles,v..whatevaTheFuckIwant. I got this.
gameState = "game"
-- for example...{"title","game","options","gameOver","cinematic"}

groundLevel = 475
grav = 5
score = 0
gtime = 0
currTime = nil
startTime = os.time() 

--oneTimerFlags
didJump = false
didGrab = false  -- the player didn't do it yet. it's used to see if we're holding the grab button.  
didKick = false
pStamina = 30 -- 300  -- I really just want a good shape. 

mx = nil
my = nil
test = "test"


gameObjects = {} -- where we keep the player and ... particles. maybe even UI
rocks = {} 

-- Architecture

-- base love functions
function love.load() 


-- this is where we will add the player
-- And other objects initialized at the beginning of the game  

	table.insert(gameObjects,xan) 
	table.insert(gameObjects,mouseHelper)
	table.insert(gameObjects,GM)
	
	
	
	
end 

function love.update(dt) 

-- mouse position for everyone

	mx = love.mouse.getX()
	my = love.mouse.getY()

-- there should be a loop for the game objects and a loop for the rocks.
-- in the future we want VFX and UI to also be on separate tables of objects. 

-- also we can add the layers of game here. For example.. If we want to add a game over screen. 
	for i,v in ipairs(gameObjects) do 
	
		v:update(dt)
	
	end 
	
	for i,v in ipairs(rocks) do 
	
		v:update(dt)
	
	end 
	
	-- Time Management ( Primarily for the Stamina Bar. ) 
	currTime = os.time() -- Whole Seconds. we Can make Milliseconds or whatever from this clock. 
	gtime = currTime - startTime

end 

function love.draw() 

if gameState == "game" then 
 -- SHOW DEBUG in game Mode! BEcause the game is under construction! 
 vDebug = true

	-- draw the things in the game. rocks.. players. Points.

-- IN GAME BG 
-- for now we may as well draw the bg first. because it's still static ( until more gameplay comes through ) 
	lg.setColor(55,55,55,255)
	lg.draw(sky,0,0) 	
	lg.setColor(255,255,255,255)
	lg.draw(walls,0,0) 
	lg.draw(ground,0,0) 

	
-- Draw the Stamina bar. 
	-- set rectangle color with a function... 
	lg.setColor(255,100,100,155) -- replace with a sliding value for a funny effect.. FEEDBACK!  People love it
	lg.rectangle( "fill", 175 , 35, pStamina, 50)


	
-- Set Color For Rocks and game objects.  
lg.setColor(255,255,255,255) -- white is the normal drawing mode. Look for Alpha fading techniques and the like in the near future. 
	for i,v in ipairs(rocks) do 
	
		v:draw()
	
	end 
	
	for i,v in ipairs(gameObjects) do 
	
		v:draw()
	
	end 
	
elseif gameState == "gameOver" then
	--[[ draw the black screen with 
	"Game Over. Player Score . 
	Player Best. 
	Click to retry.(any key that isn't escape) 
	Or Click/ESC to quit. 
	--]]
	lg.setFont(lBlockText)
	lg.print("Game Over",60,200) 
	lg.setFont(sBlockText)
	lg.print(" <Return> to Continue \n\n <ESC> to quit",60, 360)
	vDebug = false 
	
end 

	if vDebug then 
		
		lg.setColor(255,255,255,255)	
		lg.setFont(sDefaultText)
			-- Debug Variables
			lg.print(	" Player_xpos: "..xan.x..
						"\n Player_ypos: "..xan.y..
						"\n p_Vx: "..xan.vX..
						"\n p_Vy: "..xan.vY..
						"\n p_fblk: "..fb..
						"\n p_State: "..xan.state..
						"\n GameTime: "..gtime..
						"\n GameState: "..gameState..
						"\n TEST: "..test..
						"\n p_stamina: "..pStamina
						,5,26)
						
	end 
	
end 


function love.mousereleased(x, y, btn)

	if btn == 'r' then 
	test = "right does it "
		if didGrab then 
			didGrab = false 
			
		end 
	end 
	

	-- reset kick animation
	xanKick:seek(1)
	
end 
function love.keypressed( key )

   if key == "escape" then
      
		love.event.push("q")
	  
	elseif key == " " then 
   
		--newRock(x,y,weight)	
		-- createRock with ID.... inside GameManager 
		GM.createRock()
		
		--GM.createRockStack(#s,#m,#l) -- should be used after a rock is destroyed. 

	elseif key == 'return' then 

		pStamina = pStamina + 15 
		gameState = "game"
	

	
   end
   
   
   
end

-- cleanup Values on button release

-- right mouse

-- left mouse. 



-- main utils ( can be moved anywhere ) 

function checkHit ( a, b ) -- AABB collision. BABY! 
	
	-- Boundaries for 'a'
	local aRight 	= a.x + a.xo
	local aLeft 	= a.x - a.xo
	local aTop		= a.y - a.yo
	local aBottom	= a.y -- the origin is offset by the size of the image used. So y is always the bottom. 
	
	-- Bounds for 'b'
	local bRight 	= b.x + b.xo
	local bLeft 	= b.x - b.xo
	local bTop		= b.y - b.yo
	local bBottom	= b.y -- the origin is offset by the size of the image used. So y is always the bottom. 

	-- the AABB part:
	if  aRight < bLeft or
		aLeft > bRight or
		aBottom < bTop or
		aTop > bBottom then
		return false
	else
		return true
	end
	
end
