-- mouseHelper Base

-- load required mouseState images

noMouse = lg.newImage ("textures/noClick.png")
bothMouse = lg.newImage ("textures/bothClick.png")
rightMouse = lg.newImage ("textures/rightClick.png")
leftMouse = lg.newImage ("textures/leftClick.png")

-- love command to hide mouse and
love.mouse.setVisible(false)
-- constrain to window
love.mouse.setGrab(true)


mouseHelper  = {
				state = "no",
				img = noMouse,
				x = 100,
				y = 200,
				rot = 0,
				sx = 1,
				sy = 1,
				xo = 32,
				yo = 32,

			  }
			  
function mouseHelper:update(dt)
	
	mouseHelper.x = mx
	mouseHelper.y = my
	 
	if love.mouse.isDown('l') and love.mouse.isDown('r') then
		mouseHelper.state = "both"
		mouseHelper.img = bothMouse
	elseif love.mouse.isDown('l') then
		mouseHelper.state = "left"
		mouseHelper.img = leftMouse
	elseif love.mouse.isDown('r') then
		mouseHelper.state = "right"
		mouseHelper.img = rightMouse
	else
		mouseHelper.state = "no"
		mouseHelper.img = noMouse
	end
	
	lg.circle("fill",mx+mouseHelper.xo,my,15,10)

end 

fb = "no"

function mouseHelper:draw()

	lg.draw(mouseHelper.img, mx, my, mouseHelper.rot, mouseHelper.sx, mouseHelper.sy, mouseHelper.xo, mouseHelper.yo)
	if xan.footBlocked then 
		fb = "for Sure"
	else
		fb = "nope"
	end
		
	
end 